Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158547 - rhythmbox plays off the end of ogg files
Summary: rhythmbox plays off the end of ogg files
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhythmbox
Version: rawhide
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Colin Walters
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-05-23 14:35 UTC by Jeremy Katz
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-28 08:25:18 UTC


Attachments (Terms of Use)

Description Jeremy Katz 2005-05-23 14:35:42 UTC
rhythmbox is playing off the end of ogg files now, reaching times like 2:02 in
songs that are only 1:09.  Hitting next then causes the same sort of hang that
is reached when you pause (bug 157180).  This makes the default music player
relatively unusable.

[katzj@bree lam]$ rpm -q rhythmbox gstreamer
rhythmbox-0.8.8-2
gstreamer-0.8.10-1

Comment 1 Bill Nottingham 2005-05-24 03:13:41 UTC
Worksforme. *shrug*.

Comment 2 Jeremy Katz 2005-05-24 03:25:17 UTC
Still failing for me with 2.6.11-1.1340_FC4 (was on 1290 earlier)

Comment 3 Jeremy Katz 2005-05-24 03:27:31 UTC
Actually, the time only increments in the notification area applet.  In the
regular app, the time stops at the end and it just doesn't go to the next song.

Comment 4 Bill Nottingham 2005-05-24 16:35:55 UTC
Without dmix, this works fine.

Comment 5 Jeremy Katz 2005-05-24 17:05:13 UTC
Disabling dmix causes it to start working for me as well.

Comment 6 Bill Nottingham 2005-05-24 21:01:05 UTC
Should be fixed in alsa-lib-1.0.9rc4-1.

Comment 7 Warren Togami 2005-05-28 08:25:18 UTC
Confirmed.


Note You need to log in before you can comment on or make changes to this bug.